Package writer2latex.latex

# Class SectionConverter

java.lang.Object
writer2latex.latex.SectionConverter

public class SectionConverter extends Object

This class creates LaTeX code from OOo sections.

Sections are converted to multicols environments using `multicol.sty`

## Constructor Summary

Constructors
Constructor
Description
`SectionConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `SectionStyleConverter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`handleSection(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process a section (text:section tag)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SectionConverter

public SectionConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

Constructs a new `SectionStyleConverter`.

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

### handleSection

public void handleSection(Element node, LaTeXDocumentPortion ldp, Context oc)

Process a section (text:section tag)

Parameters:
  `node` - The element containing the section
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context